package cz.moneta.test.dsl.util.task.dmbsib;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.dmbsib.ConfirmPaymentOrderPage;
import cz.moneta.test.dsl.dmbsib.LoginPage;

import java.util.function.Function;

public class DmbsibTasks {

    private final Harness harness;

    public DmbsibTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<LoginPage, ConfirmPaymentOrderPage> login(String login, String password, String mobileKey) {
        return start -> start.fillLogin(login)
                .fillPassword(password)
                .clickSendMobileKey()
                .fillMobileKey(mobileKey)
                .clickVerifyMobileKeyAndContinueToSubmitOrder();
    }

}
